FOX16_HtmlCtx Class Reference

`#include <fox16_htmlctx.hpp>`

## Public Member Functions

void | addMediaPath (const char *s)
void | dump ()
| FOX16_HtmlCtx (uint32_t flags)
HTML_FONT * | getFont (const char *fontName, int fontSize, uint32_t fontFlags)
int | getHeight ()
HTML_IMAGE * | getImage (const char *imageName)
int | getWidth ()
int | layout (int width, int height)
void | paint (FXDC *dc, int xOffset, int yOffset)
void | paintAt (FXDC *dc, int xOffset, int yOffset, int xText, int yText, int w, int h)
void | setBackgroundColor (FXColor c)
void | setForegroundColor (FXColor c)
void | setText (const char *s)
| ~FOX16_HtmlCtx ()

## Protected Member Functions

FXFont * | _getFoxFont (HTML_FONT *fnt)
void | _paint (FXDC *dc, HTML_OBJECT *o, int xOffset, int yOffset)
void | _paintAt (FXDC *dc, HTML_OBJECT *o, int xOffset, int yOffset, int xText, int yText, int w, int h)
uint32_t | getColorFromName (const char *name)
int | getTextHeight (HTML_FONT *fnt, const char *s)
int | getTextWidth (HTML_FONT *fnt, const char *s)

## Protected Attributes

FXColor | _bgColor
GWEN_XML_CONTEXT * | _context
FXColor | _fgColor
FXFont * | _font
FXIconSource * | m_iconSource

## Friends

class | FOX16_HtmlCtxLinker

## Detailed Description

Definition at line 22 of file fox16_htmlctx.hpp.

## Constructor & Destructor Documentation

## FOX16_HtmlCtx()

FOX16_HtmlCtx | ( | uint32_t | flags | ) |

## ~FOX16_HtmlCtx()

~FOX16_HtmlCtx | ( |  | ) |

## Member Function Documentation

## _getFoxFont()

FXFont * _getFoxFont | ( | HTML_FONT * | fnt | ) |

protected

## _paint()

void _paint | ( | FXDC * | dc,
|  | HTML_OBJECT * | o,
|  | int | xOffset,
|  | int | yOffset )

protected

## _paintAt()

void _paintAt | ( | FXDC * | dc,
|  | HTML_OBJECT * | o,
|  | int | xOffset,
|  | int | yOffset,
|  | int | xText,
|  | int | yText,
|  | int | w,
|  | int | h )

protected

## addMediaPath()

void addMediaPath | ( | const char * | s | ) |

## dump()

void dump | ( |  | ) |

## getColorFromName()

uint32_t getColorFromName | ( | const char * | name | ) |

protected

## getFont()

HTML_FONT * getFont | ( | const char * | fontName,
|  | int | fontSize,
|  | uint32_t | fontFlags )

## getHeight()

int getHeight | ( |  | ) |

## getImage()

HTML_IMAGE * getImage | ( | const char * | imageName | ) |

## getTextHeight()

int getTextHeight | ( | HTML_FONT * | fnt,
|  | const char * | s )

protected

## getTextWidth()

int getTextWidth | ( | HTML_FONT * | fnt,
|  | const char * | s )

protected

## getWidth()

int getWidth | ( |  | ) |

## layout()

int layout | ( | int | width,
|  | int | height )

## paint()

void paint | ( | FXDC * | dc,
|  | int | xOffset,
|  | int | yOffset )

## paintAt()

void paintAt | ( | FXDC * | dc,
|  | int | xOffset,
|  | int | yOffset,
|  | int | xText,
|  | int | yText,
|  | int | w,
|  | int | h )

## setBackgroundColor()

void setBackgroundColor | ( | FXColor | c | ) |

## setForegroundColor()

void setForegroundColor | ( | FXColor | c | ) |

## setText()

void setText | ( | const char * | s | ) |

## Friends And Related Symbol Documentation

## FOX16_HtmlCtxLinker

friend class FOX16_HtmlCtxLinker

friend

Definition at line 23 of file fox16_htmlctx.hpp.

References FOX16_HtmlCtxLinker.

Referenced by FOX16_HtmlCtxLinker.

## Field Documentation

## _bgColor

FXColor _bgColor

protected

Definition at line 58 of file fox16_htmlctx.hpp.

## _context

GWEN_XML_CONTEXT* _context

protected

Definition at line 55 of file fox16_htmlctx.hpp.

## _fgColor

FXColor _fgColor

protected

Definition at line 57 of file fox16_htmlctx.hpp.

## _font

FXFont* _font

protected

Definition at line 56 of file fox16_htmlctx.hpp.

## m_iconSource

FXIconSource* m_iconSource

protected

Definition at line 59 of file fox16_htmlctx.hpp.

The documentation for this class was generated from the following file:

- fox16_htmlctx.hpp